Skip to main content
PUT
Update email template

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

templateUid
string
required

UID of the email template, as returned by the list/get/create/update endpoints

Body

application/json

Full replacement set of email template fields

Fields used to create a new email template or replace an existing one

body
string
required

Body content of the email

name
string
required

Name of the email template, shown in the template list

Required string length: 1 - 255
subject
string
required

Subject line of the email

type
string
required
bccAddress
string
ccAddress
string

Response

OK

An organization email template, as returned by the email template endpoints

bccAddress
string

Comma-separated BCC email addresses or macros (e.g. {sender.email})

body
string

Email body content

ccAddress
string

Comma-separated CC email addresses or macros (e.g. {sender.email})

id
string

Internal numeric identifier, encoded as a string

name
string

Name of the email template

subject
string

Email subject line

type
enum<string>

Email template type. The LoginInfo value is deprecated.

Available options:
JobAssigned,
JobStatusChanged,
NextWorkflowStep,
JobRejected,
LoginInfo,
ProjectTransferredToBuyer,
SharedProjectAssigned,
SharedProjectStatusChanged,
AutomatedProjectCreated,
AutomatedProjectSourceUpdated,
AutomatedProjectStatusChanged,
JobWidgetProjectQuotePrepared,
JobWidgetProjectQuotePreparationFailure,
JobWidgetProjectCreated,
JobWidgetProjectCompleted,
CmsQuoteReady,
CmsWorkCompleted,
CmsJobRejected,
QUOTE_UPDATED,
QUOTE_STATUS_CHANGED,
LQA_SHARE_REPORT,
PLATFORM_WORK_COMPLETED,
PLATFORM_WORK_DECLINED,
PLATFORM_WORK_NEW,
UserMentionOrComment,
ProjectNewReference
uid
string

Unique identifier used in API paths